Subject: bug#39177: The installer encountered unexpected problem. Please report to

From: [email-masked]
Date: Sun, 19 Jan 2020 22:16:12 +0000

OK Folk here's another one for you[this is not complaining this is for you to see if there is a problem somewhere??]:

I wanted to try Guix again.

This time I wanted it on a Librem 13" [instead of Macbook Air][so i can enjoy the libre wifi]
I wanted to have Guix installed next to my already installed Linux Mint.

So I created  usb live Guix os
I booted into the usb
Got to the bit when it asks about Partitioning method choose the Manual, created two partitions
1 50.00GB ext4    /
  70.00GB Free space

When i was about to continue Format disk? it said we are about to format your hard disk. All its data will be lost Do you wish to continue?
I promptly clicked exit

then the installation menu window appeared and i clicked Abort

it took me to local language window where again i clicked exit

so this cycle of going form one menu to another
Locale language window -> click exit -> installation menu window -> click Abort -> Local language -> click exit -> locale language menu window->click exit  -> abort ad infinitum

so I did the only thing I could and that was switching the machine of form the power button.

Now I want to boot back to my Linux Mint and the system is stuck it says
Booting from Hard Disk...

And nothing happens

When I then boot again to the live usb stick with Guix on it - the previous  partitioning is till there available as if nothing has happened.

This sounds strange to me. And of course now I cannot boot to my machine.

Not good. [not the end of the world as well because i have a back up and another live usb with linux mint on it and it boots fine]

Sherab

Just like an experience in a dream
Everything I now enjoy
Will become a mere recollection
For what has past will not be seen again

Sent from ProtonMail, encrypted email based in Switzerland.

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Sunday, 19 January 2020 21:49, <[email-masked]> wrote:

> Hi
>
> Sherab
>
> Just like an experience in a dream
> Everything I now enjoy
> Will become a mere recollection
> For what has past will not be seen again
>
> Sent from ProtonMail, encrypted email based in Switzerland.
>
> Sent with ProtonMail Secure Email.
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Sunday, 19 January 2020 21:33, Ludovic Courtès [email-masked] wrote:
>
> > Hello,
> > wisdomlight--- via [email-masked] skribis:
> >
> > > Attached is a photo of my screen.
> > > I am installing on MacBook Air 13”
> > > I had guix already installed but wanted a fresh install.
> > > I used exactly the same usb-image I used before.
> > > So it’s strange that this is happening.
> >
> > What file system type did you select for your partitions?
>
> I don't remember but I always choose ext4 for linux install. so i presume it was ext4
>
> Also, what
>
> > kind of partitioning did you choose (guided, etc.)?
>
> guided whole disk without seprate home folder
> gpt
>
> It asked me to have at least one partition with the / mount and when I put it it just did not recognize the /
>
> I had problem afterwards when needed to recover the MacosX - the recovery did not recognize the disk.
> MacOS offers a Disk Utility so i fiddled around with somethings there and finally managed to make the disk seen and re installed MacOSX
>
> > BTW, note that, for Guix System, doing a “fresh install” doesn’t buy you
> > much in the sense that ‘guix system reconfigure’ amounts to doing a
> > “fresh install”: the result is the same.
>
> Yeah - I got impatient!!!
>
> > Thanks for your report!
>
> Pleasure
>
> > Ludo’.
>
> Sherab